/* arp.h - ARP state machine */
 
/* Written 1995-1998 by Werner Almesberger, EPFL-LRC/ICA */
 

#ifndef ARP_H
#define ARP_H

#include <stdint.h>

#include "atmarp.h"
#include "atmarpd.h"
#include "table.h"

#define RFC1483LLC_LEN	8		/* LLC+OUI+PID = 8 */
#define RFC1626_MTU	9180		/* RFC1626 default MTU */
#define CLIP_DEFAULT_IDLETIMER	1200	/* 20 minutes, see RFC1755 */

#define ARPHRD_ATM	19		/* ATM */
#define ETH_P_IP	0x0800		/* Internet Protocol */

#define ARPOP_REPLY	2		/* ARP reply */
#define ARPOP_RREQUEST	3		/* RARP request */
#define ARPOP_RREPLY	4		/* RARP reply */
#define ARPOP_InREQUEST	8		/* InARP request */
#define ARPOP_InREPLY	9		/* InARP reply */
#define ARPOP_NAK	10		/* (ATM)ARP NAK */

void discard_vccs(ENTRY *entry);
void discard_entry(ENTRY *entry);
void vcc_detach(ENTRY *entry);
void need_ip(int itf_num, uint32_t ip);
void incoming_arp(VCC *vcc, struct atmarphdr *hdr, int len);
int arp_ioctl(struct atmarp_req *req);
void vcc_connected(VCC *vcc);
void vcc_failed(VCC *vcc);
void disconnect_vcc(VCC *vcc);
void incoming_call(VCC *vcc);

#endif
