/* inatmarp.h - InATMARP tool */

/* Written 01-1998 by Francis.Dupont@inria.fr, INRIA */

#ifndef _INATMARP_H
#define _INATMARP_H

#define AAREQUEST 8
#define AAREPLY 9

struct aar {
	u_int16_t hrd;		/* Hardware type (0x0013) */
	u_int16_t pro;		/* Protocol type (0x0800) */
	u_int8_t  shtl;		/* Type/Length of source ATM address */
	u_int8_t  sstl;		/* Type/Length of source ATM sub-address */
	u_int16_t op;		/* Operation code (8 or 9) */
	u_int8_t  spln;		/* Protocol source address length (4) */
	u_int8_t  thtl;		/* Type/Length of target ATM address */
	u_int8_t  tstl;		/* Type/Length of target ATM sub-address */
	u_int8_t  tpln;		/* Protocol target address length (4) */
	/* sha: source ATM address (empty) */
	/* ssa: source ATM sub-address (empty) */
	u_int8_t  spa[4];	/* Protocol source address */
	/* tha: target ATM address (empty) */
	/* tsa: target ATM sub-address (empty) */
	u_int8_t  tpa[4];	/* Protocol target address */
};

void dodump(struct aar *aa, u_char *buf, int len);
void doreply(int sd, struct aar *aa, struct sockaddr_in *sock_in, 
	     struct in_addr *ia, u_char *buf, int dump, int len);
void dorequest(int sd, struct aar *aa, struct sockaddr_in *sock_in, 
	       u_char *buf, int dump);
int inatmarp(int sd, u_int16_t opcode, struct sockaddr_in *s_in, 
	     struct in_addr *ia, int dump);

#endif
