/* io.h - I/O operations */
 
/* Written 11-1997 by Mohsen.Souissi@inria.fr, INRIA */
 

#ifndef IO_H
#define IO_H

#define MAX_ADDR 1

extern struct svc_addr local_addr[MAX_ADDR];
extern int sig_sd;
extern struct atm_qos qos_default_p2p, qos_default_p2m;
extern int active;
extern int ndp_dump;
extern const char *as_name[];

struct svc_addr *get_addr(u_char *aesa, u_char sel);
void init_addr(void);
void sig_pipe(int signo);
int open_atmsigd(void);
void init_current_time(void);
int atm_cac(struct atmsvc_msg *msg);

int dispatch(struct atmsvc_msg *msg, ATMCALL *callarg, PARTY *partyarg, 
	     enum atmsvc_msg_type *type);
int from_atmsigd(struct atmsvc_msg *msg, ATMCALL *callarg, PARTY *partyarg,
		 enum atmsvc_msg_type *type);
int recv_atmsigd(ATMCALL *callarg, PARTY *partyarg, 
		 enum atmsvc_msg_type *type);
int send_atmsigd(u_long vcc, u_long listen_vcc, short ep_ref,
		  enum atmsvc_msg_type type, int reply, 
		  const struct svc_addr *svc, const struct svc_addr *local, 
		  const struct atm_sap *sap, const struct atm_qos *qos);
int to_atmsigd(struct atmsvc_msg *msg);

int recv_natm_peer(ATMCALL *call, int dump);

const char *mid2name(u_char mid);

int poll_atmsigd(ATMCALL *callarg, PARTY *partyarg, 
		 enum atmsvc_msg_type *type);
#endif
